Bug 505405 - yum-plugin-fastestmirror ignores proxy
yum-plugin-fastestmirror ignores proxy
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 15:24 EDT by Joost de Heer
Modified: 2014-01-21 18:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:54:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add rudimentary proxy support to fastestmirror.py (3.50 KB, patch)
2009-09-14 02:22 EDT, Richard Colley
no flags Details | Diff

  None (edit)
Description Joost de Heer 2009-06-11 15:24:08 EDT
Description of problem:

yum-plugin-fastestmirror doesn't use the proxy configured in /etc/yum.conf

Version-Release number of selected component (if applicable):
yum-plugin-fastestmirror-1.1.21-2.fc11.noarch

How reproducible:
Install a proxy, configure yum to use a proxy, and see how yum-plugin-fastestmirror ignores this setting.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
The firewall log is spammed with attempts to connect to port 80/21, yet for some reason mirrors are selected.

Expected results:
yum uses the proxy to check the fastest mirror

Additional info:

YUM session:
[joost@linux ~]$ date ; sudo yum check-update
Thu Jun 11 21:17:18 CEST 2009
Loaded plugins: dellsysidplugin2, fastestmirror, presto
Determining fastest mirrors
fedora/metalink                                          |  19 kB     00:00     
updates/metalink                                         |  19 kB     00:00     
 * fedora: darkstar.ist.utl.pt
 * rpmfusion-free: astromirror.uchicago.edu
 * rpmfusion-free-updates: astromirror.uchicago.edu
 * rpmfusion-nonfree: astromirror.uchicago.edu
 * rpmfusion-nonfree-updates: astromirror.uchicago.edu
 * updates: darkstar.ist.utl.pt

Firewall log:
Jun 11 21:17:31 router kernel: RULE 18 -- DENY IN=eth0 OUT=eth1 SRC=192.168.1.58 DST=195.83.118.1 LEN=60 TOS=0x00 PREC=0x00 TTL=63 ID=9559 DF PROTO=TCP SPT=41954 DPT=80 WINDOW=5840 RES=0x00 SYN URGP=0
Jun 11 21:17:31 router kernel: RULE 18 -- DENY IN=eth0 OUT=eth1 SRC=192.168.1.58 DST=208.95.50.144 LEN=60 TOS=0x00 PREC=0x00 TTL=63 ID=57190 DF PROTO=TCP SPT=49883 DPT=80 WINDOW=5840 RES=0x00 SYN URGP=0
(etc etc etc)

yum.conf:
[...]
proxy=http://192.168.1.1:8080
[...]
Comment 1 Andy 2009-06-16 03:43:09 EDT
I can ack that problem.

# grep proxy /etc/yum.conf
proxy=http://xxx\xxxxxx:xxxxxxxxxxxxx@xx.xx.xx.xxx:8080

# echo $http_proxy
http://xxx\xxxxxx:xxxxxxxxxxxxx@xx.xx.xx.xxx:8080

# echo $ftp_proxy
http://xxx\xxxxxx:xxxxxxxxxxxxx@xx.xx.xx.xxx:8080

# netstat -tp | grep SYN_SENT | awk '{print $5" "$6}'
ftp.up.pt:http SYN_SENT
noa.linux.ee:http SYN_SENT
olymp.rbi.informatik.u:http SYN_SENT
lpc1.stu.neva.ru:ftp SYN_SENT
fedora.mirror.iweb.ca:http SYN_SENT
mandril.creatis.insa-l:http SYN_SENT
ftp.tuniv.szczecin.pl:http SYN_SENT
ftp.uni-oldenburg.de:ftp SYN_SENT
mimas-nxge0.switch.ch:http SYN_SENT
archive.linux.duke.edu:http SYN_SENT
ftp2.uib.no:http SYN_SENT
hpc-mirror.usc.edu:http SYN_SENT
tempest.vexs.net:http SYN_SENT
opal.cat.pdx.edu:http SYN_SENT
ftp.isu.edu.tw:http SYN_SENT
atom3.svk.su:http SYN_SENT

yum works using the proxy... just fastestmirror doesn't want to connect through the proxy.
Comment 2 Richard Colley 2009-09-14 02:22:43 EDT
Created attachment 360874 [details]
Patch to add rudimentary proxy support to fastestmirror.py

This adds rudimentary proxy support to fastestmirror.py.

There are several issues, for example the curl library seems to have a fit if attempts are made to get mirror speeds in parallel threads.  So threading has been turned off.

Also, the repo file is downloaded to get some basic measurement of speed.
Comment 3 Ian Dall 2010-01-06 22:33:22 EST
As of yum-plugin-fastestmirror-1.1.24-2, fastest mirror seems to use proxy settings from yum.conf, but doesn't respect the http_proxy environment variable.
Comment 4 Bug Zapper 2010-04-27 10:47:08 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:54:10 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.